#define BUILD_NIST_DLL

#ifdef BUILD_NIST_DLL
#   define NIST_IMPORT __declspec( dllimport )
#else
#   define NIST_IMPORT
#endif


#if defined(__cplusplus)
extern "C" {
#endif

extern
int NIST_IMPORT ReadNISTFile(const char *filename);

extern
int NIST_IMPORT ReadNISTFromMemory(unsigned char* byte_array, int size_of_byte_array);

extern
int NIST_IMPORT SetPointerToNISTRecord(int record_type, int record_number);

extern
int NIST_IMPORT ReadSizeOfBinaryNISTField();

extern
unsigned char* NIST_IMPORT ReadBinaryNISTField();

extern
HBITMAP NIST_IMPORT CreateHBITMAPfromBinaryNISTField();

extern
char* NIST_IMPORT ReadTxtNISTField();

extern
int NIST_IMPORT ReadSizeOfTxtNISTField();

extern
int NIST_IMPORT RegisterNIST();


#if defined(__cplusplus)
 }
#endif
